Pular para o conteúdo principal
POST
/
crm
/
v3
/
objects
/
contacts
/
merge
Merge two contacts
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/contacts/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "objectIdToMerge": "<string>",
  "primaryObjectId": "<string>"
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Grátis
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Grátis

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json

Input data for merging two records.

objectIdToMerge
string
obrigatório

The object ID of the record that the merge will not set as the current value after the merge.

primaryObjectId
string
obrigatório

The object ID of the record that the merge will generally set as the current value after the merge.

Resposta

successful operation

A simple public object.

archived
boolean
obrigatório

Whether the object is archived.

createdAt
string<date-time>
obrigatório

The timestamp when the object was created, in ISO 8601 format.

id
string
obrigatório

The unique ID of the object.

properties
object
obrigatório

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
obrigatório

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write request for the object.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

The URL associated with the object.

Last modified on February 12, 2026